Get DBaaS
GET/projects/:projectId/providers/Aruba.Database/dbaas/:id
Get DBaaS
Request
Path Parameters
unique identifier of the dbaas
Query Parameters
if the resource exists in status "Deleted", returns NotFound according to the value of this flag
The requested API version
1.1Responses
- 200
- 401
- 404
- 500
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
Array [
]
Array [
]
Array [
]
metadata
object
location
object
project
object
category
object
typology
object
linkedResources
object[]
nullable
annotations
object
nullable
status
object
disableStatusInfo
object
previousStatus
object
error
object
properties
object
Dto properties response dbaas.
linkedResources
object[]
nullable
engine
object
Engine response class.
For more information, check the documentation.
nodes
object[]
nullable
flavor
object
Engine response class.
networking
object
Network response class.
vpc
object
subnet
object
securityGroup
object
elasticIps
object[]
nullable
highAvailability
object
Dbaas HighAvailability response class
storage
object
Storage response class.
Possible values: [Standard, Performance]
billingPlan
object
BillingPlan response class.
autoscaling
object
Autoscaling
{
"metadata": {
"id": "string",
"uri": "string",
"name": "string",
"location": {
"code": "string",
"country": "string",
"city": "string",
"name": "string",
"value": "string"
},
"project": {
"id": "string",
"folderId": "string"
},
"tags": [
"string"
],
"category": {
"name": "string",
"provider": "string",
"typology": {
"id": "string",
"name": "string"
}
},
"creationDate": "2024-07-29T15:51:28.071Z",
"createdBy": "string",
"ownerId": "string",
"updateDate": "2024-07-29T15:51:28.071Z",
"updatedBy": "string",
"version": "string",
"createdUser": "string",
"updatedUser": "string",
"linkedResources": [
{
"uri": "string",
"strictCorrelation": true
}
],
"managedBy": "string",
"annotations": {}
},
"status": {
"state": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"disableStatusInfo": {
"isDisabled": true,
"reasons": [
"string"
],
"previousStatus": {
"state": "string",
"creationDate": "2024-07-29T15:51:28.071Z"
}
},
"failureReason": "string",
"error": {
"reason": "string",
"message": "string"
},
"reservedTo": "string"
},
"properties": {
"linkedResources": [
{
"uri": "string",
"strictCorrelation": true
}
],
"engine": {
"id": "string",
"type": "string",
"name": "string",
"version": "string",
"displayName": "string",
"displayType": "string"
},
"dataCenter": "string",
"nodes": [
{
"privateIp": "string",
"floatingIp": "string",
"privateHostname": "string",
"publicHostname": "string",
"kind": "string"
}
],
"flavor": {
"name": "string",
"category": "string",
"cpu": 0,
"ram": 0
},
"networking": {
"vpc": {
"uri": "string"
},
"subnet": {
"uri": "string"
},
"securityGroup": {
"uri": "string"
},
"elasticIps": [
{
"uri": "string"
}
]
},
"highAvailability": {
"enabled": true,
"nodesCount": 0
},
"storage": {
"sizeGb": 0,
"typology": "Standard"
},
"billingPlan": {
"billingPeriod": "string"
},
"autoscaling": {
"status": "string",
"availableSpace": 0,
"stepSize": 0,
"ruleId": "string"
}
}
}
- Schema
- Example (from schema)
Schema
Array [
]
Array [
]
Array [
]
Array [
]
metadata
object
location
object
project
object
category
object
typology
object
linkedResources
object[]
nullable
annotations
object
nullable
status
object
disableStatusInfo
object
previousStatus
object
error
object
properties
object
Dto properties response dbaas.
linkedResources
object[]
nullable
engine
object
Engine response class.
For more information, check the documentation.
nodes
object[]
nullable
flavor
object
Engine response class.
networking
object
Network response class.
vpc
object
subnet
object
securityGroup
object
elasticIps
object[]
nullable
highAvailability
object
Dbaas HighAvailability response class
storage
object
Storage response class.
Possible values: [Standard, Performance]
billingPlan
object
BillingPlan response class.
autoscaling
object
Autoscaling
{
"metadata": {
"id": "string",
"uri": "string",
"name": "string",
"location": {
"code": "string",
"country": "string",
"city": "string",
"name": "string",
"value": "string"
},
"project": {
"id": "string",
"folderId": "string"
},
"tags": [
"string"
],
"category": {
"name": "string",
"provider": "string",
"typology": {
"id": "string",
"name": "string"
}
},
"creationDate": "2024-07-29T15:51:28.071Z",
"createdBy": "string",
"ownerId": "string",
"updateDate": "2024-07-29T15:51:28.071Z",
"updatedBy": "string",
"version": "string",
"createdUser": "string",
"updatedUser": "string",
"linkedResources": [
{
"uri": "string",
"strictCorrelation": true
}
],
"managedBy": "string",
"annotations": {}
},
"status": {
"state": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"disableStatusInfo": {
"isDisabled": true,
"reasons": [
"string"
],
"previousStatus": {
"state": "string",
"creationDate": "2024-07-29T15:51:28.071Z"
}
},
"failureReason": "string",
"error": {
"reason": "string",
"message": "string"
},
"reservedTo": "string"
},
"properties": {
"linkedResources": [
{
"uri": "string",
"strictCorrelation": true
}
],
"engine": {
"id": "string",
"type": "string",
"name": "string",
"version": "string",
"displayName": "string",
"displayType": "string"
},
"dataCenter": "string",
"nodes": [
{
"privateIp": "string",
"floatingIp": "string",
"privateHostname": "string",
"publicHostname": "string",
"kind": "string"
}
],
"flavor": {
"name": "string",
"category": "string",
"cpu": 0,
"ram": 0
},
"networking": {
"vpc": {
"uri": "string"
},
"subnet": {
"uri": "string"
},
"securityGroup": {
"uri": "string"
},
"elasticIps": [
{
"uri": "string"
}
]
},
"highAvailability": {
"enabled": true,
"nodesCount": 0
},
"storage": {
"sizeGb": 0,
"typology": "Standard"
},
"billingPlan": {
"billingPeriod": "string"
},
"autoscaling": {
"status": "string",
"availableSpace": 0,
"stepSize": 0,
"ruleId": "string"
}
}
}
- Schema
- Example (from schema)
Schema
Array [
]
Array [
]
Array [
]
Array [
]
metadata
object
location
object
project
object
category
object
typology
object
linkedResources
object[]
nullable
annotations
object
nullable
status
object
disableStatusInfo
object
previousStatus
object
error
object
properties
object
Dto properties response dbaas.
linkedResources
object[]
nullable
engine
object
Engine response class.
For more information, check the documentation.
nodes
object[]
nullable
flavor
object
Engine response class.
networking
object
Network response class.
vpc
object
subnet
object
securityGroup
object
elasticIps
object[]
nullable
highAvailability
object
Dbaas HighAvailability response class
storage
object
Storage response class.
Possible values: [Standard, Performance]
billingPlan
object
BillingPlan response class.
autoscaling
object
Autoscaling
{
"metadata": {
"id": "string",
"uri": "string",
"name": "string",
"location": {
"code": "string",
"country": "string",
"city": "string",
"name": "string",
"value": "string"
},
"project": {
"id": "string",
"folderId": "string"
},
"tags": [
"string"
],
"category": {
"name": "string",
"provider": "string",
"typology": {
"id": "string",
"name": "string"
}
},
"creationDate": "2024-07-29T15:51:28.071Z",
"createdBy": "string",
"ownerId": "string",
"updateDate": "2024-07-29T15:51:28.071Z",
"updatedBy": "string",
"version": "string",
"createdUser": "string",
"updatedUser": "string",
"linkedResources": [
{
"uri": "string",
"strictCorrelation": true
}
],
"managedBy": "string",
"annotations": {}
},
"status": {
"state": "string",
"creationDate": "2024-07-29T15:51:28.071Z",
"disableStatusInfo": {
"isDisabled": true,
"reasons": [
"string"
],
"previousStatus": {
"state": "string",
"creationDate": "2024-07-29T15:51:28.071Z"
}
},
"failureReason": "string",
"error": {
"reason": "string",
"message": "string"
},
"reservedTo": "string"
},
"properties": {
"linkedResources": [
{
"uri": "string",
"strictCorrelation": true
}
],
"engine": {
"id": "string",
"type": "string",
"name": "string",
"version": "string",
"displayName": "string",
"displayType": "string"
},
"dataCenter": "string",
"nodes": [
{
"privateIp": "string",
"floatingIp": "string",
"privateHostname": "string",
"publicHostname": "string",
"kind": "string"
}
],
"flavor": {
"name": "string",
"category": "string",
"cpu": 0,
"ram": 0
},
"networking": {
"vpc": {
"uri": "string"
},
"subnet": {
"uri": "string"
},
"securityGroup": {
"uri": "string"
},
"elasticIps": [
{
"uri": "string"
}
]
},
"highAvailability": {
"enabled": true,
"nodesCount": 0
},
"storage": {
"sizeGb": 0,
"typology": "Standard"
},
"billingPlan": {
"billingPeriod": "string"
},
"autoscaling": {
"status": "string",
"availableSpace": 0,
"stepSize": 0,
"ruleId": "string"
}
}
}
Unauthorized
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
Not Found
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
- Schema
- Example (from schema)
Schema
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
Internal Server Error